#! /usr/bin/env node

const fs = require('fs');
const path = require('path');
const chalk = require('chalk');
const program = require('commander');
const fileOpe = require('../lib/file');

program.usage('<project-name>');

/**
 * help
 */
program.on('--help', () => {
    console.log();
    console.log('  Examples:');
    console.log();
    console.log(chalk.gray('    # create a new project'));
    console.log('    $ admin-code-gen init my-project');
});
const help = () => {
    program.parse(process.argv);
    if (program.args.length < 1) return program.help();
};
help();

const target = path.join(process.cwd(), program.args[0]);
const source = path.join(__dirname, '../templates/init/');

// check target folder
if (fs.existsSync(target)) {
    console.log('target folder exists: ' + program.args[0]);
    return false;
}

// copy files
fs.mkdirSync(target);
try {
    fileOpe.copy(source, target);
} catch (e) {
    console.error(e);
    fs.rmdirSync(target);
}
