'use strict'

const fs = require('fs');
const path = require('path');

const copy = (source, target) => {
    let items = fs.readdirSync(source);
    for (let item of items) {
        // exclude node_modules
        if (['node_modules'].indexOf(item) !== -1) {
            continue;
        }

        // copy file
        let itemSourcePath = path.join(source, item);
        let itemTargetPath = path.join(target, item);
        let stat = fs.lstatSync(itemSourcePath);
        if (stat.isDirectory()) {
            fs.mkdirSync(itemTargetPath);
            copy(itemSourcePath, itemTargetPath);
        } else {
            let content = fs.readFileSync(itemSourcePath);
            fs.writeFileSync(itemTargetPath, content);
        }
    }
};

let methods = {
    copy: copy
};
module.exports = methods;
