import * as types from '../mutation'

const state = {}
const getters = {}
const mutations = {}

const actions = {
  // 公共请求接口
  [types.COMMON_API_ACTION] (context, payLoad) {
    return new Promise((resolve, reject) => {
      let method = payLoad.me.$http.get
      let params = payLoad.params ? payLoad.params : {}
      payLoad.checkedStatus = (payLoad.checkedStatus === undefined ? true : payLoad.checkedStatus)

      params = { params }
      if (payLoad.type && payLoad.type === 'post') {
        method = payLoad.me.$http.post
        params = payLoad.params
      }
      method(payLoad.url, params).then((response) => {
        if (payLoad.checkedStatus) {
          if (response.data.status === 'success') {
            if (payLoad.mutation) {
              context.commit(payLoad.mutation, response.data)
            }
            resolve(response.data)
          } else {
            reject(new Error(response.data.msg))
          }
        } else {
          if (payLoad.mutation) {
            context.commit(payLoad.mutation, response.data)
          }
          resolve(response.data)
        }
      }).catch((error) => {
        reject(error)
      })
    })
  }
}

export default {
  state,
  getters,
  mutations,
  actions
}
